Bug 144204 - mail/mailagent is not compatible with perl 5.10
mail/mailagent is not compatible with perl 5.10
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: pav
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-22 10:10 UTC by kasahara
Modified: 2010-04-02 10:30 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description kasahara 2010-02-22 10:10:04 UTC
mailagent-3.0.73 is not compatible with perl 5.10 due to the removal of '$*'.

Fix: 

There is a new version of mailagent (3.1) which is compatible with perl 5.10.

http://sourceforge.net/projects/mailagent/

I tried to build this (revision 65) with perl 5.10, and all the test passed
except misc/compress.
It seems an upstream bug trying to test removed 'compress' comptag in
agent/pl/compress.pl.
How-To-Repeat: 
Just try to build mail/mailagent on a machine with perl 5.10 installed.
The test will always fail.

Making all in agent/test...
The following may take a while...
Don't panic if any of these tests fails and do not stop make.
basic/config.....ok
basic/filter.....ok
basic/mailagent..FAILED (10 tests: 6,7,8,9,13,14,15,16,17,25)
Failed a basic test, cannot continue.
Failure detected, retrying one more time, just in case...
Successful tests will not be rerun but flagged as 'done'.
basic/config.....done
basic/filter.....done
basic/mailagent..FAILED (10 tests: 6,7,8,9,13,14,15,16,17,25)
Failed a basic test, cannot continue.
Hmm... Still failed... There might be a real problem.
I shall be using the plain (non dataloaded) version.
basic/config.....done
basic/filter.....done
basic/mailagent..FAILED (10 tests: 6,7,8,9,13,14,15,16,17,25)
Failed a basic test, cannot continue.
Making all in agent/examples...
Comment 1 pav freebsd_committer 2010-03-31 13:55:03 UTC
State Changed
From-To: open->feedback

The port is unmaintained. Can you provide a patch to update the port to new 
version? 


Comment 2 pav freebsd_committer 2010-03-31 13:55:03 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pav

The port is unmaintained. Can you provide a patch to update the port to new 
version?
Comment 3 pav freebsd_committer 2010-04-02 10:21:21 UTC
State Changed
From-To: feedback->closed

Your patch committed
Comment 4 kasahara 2014-06-01 07:15:44 UTC
pav         2010-04-02 09:21:33 UTC

  FreeBSD ports repository

  Modified files:
    mail/mailagent       Makefile distinfo 
  Added files:
    mail/mailagent/files patch-agent::pl::compress.pl 
  Log:
  - Update to 3.1.65
  
  PR:             ports/144204
  Submitted by:   Yoshiaki Kasahara <kasahara@nc.kyushu-u.ac.jp>
  
  Revision  Changes    Path
  1.42      +5 -4      ports/mail/mailagent/Makefile
  1.15      +3 -3      ports/mail/mailagent/distinfo
  1.1       +13 -0     ports/mail/mailagent/files/patch-agent::pl::compress.pl (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"